Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AttributeValueTable

    java.lang.Object
      oracle.ifs.core.util.AttributeValueTable

    public class AttributeValueTable

extends java.lang.Object

An AttributeValueTable manages a table of AttributeValues, and performs transformations to and from it to other representations.

(Published)

Constructor Summary
`AttributeValueTable()` Constructs an empty AttributeValueTable.
`AttributeValueTable(AttributeValue[] values)` Constructs an AttributeValueTable from an array of AttributeValues.
`AttributeValueTable(AttributeValueTable avt)` Constructs an AttributeValueTable from another AttributeValueTable.
`AttributeValueTable(java.util.List list)` Constructs an AttributeValueTable from a list of AttributeValues.
`AttributeValueTable(ParameterTable pt)` Constructs an AttributeValueTable from a ParameterTable.
`AttributeValueTable(Property[] props)` Constructs an AttributeValueTable from an array of Property.
`AttributeValueTable(PropertyBundle pb)` Constructs an AttributeValueTable from a PropertyBundle.

Method Summary
`AttributeValue` | `get(java.lang.String key)` Gets a value matching the specified key.
`java.lang.Boolean` | `getBoolean(java.lang.String key)` Gets a Boolean value matching the specified key.
`boolean` | `getBoolean(java.lang.String key, boolean defValue)` Gets an boolean value matching the specified key
`AttributeValue` | `getBooleanValue(java.lang.String key)` Gets an AttributeValue representing the Boolean value matching the specified key.
`java.util.Date` | `getDate(java.lang.String key)` Gets an Date value matching the specified key.
`AttributeValue` | `getDateValue(java.lang.String key)` Gets an AttributeValue representing the Date value matching the specified key.
`DirectoryObject` | `getDirectoryObject(java.lang.String key, LibrarySession session)` Gets a DirectoryObject value matching the specified key.
`java.lang.Double` | `getDouble(java.lang.String key)` Gets an Double value matching the specified key.
`double` | `getDouble(java.lang.String key, double defValue)` Gets an double value matching the specified key
`AttributeValue` | `getDoubleValue(java.lang.String key)` Gets an AttributeValue representing the Double value matching the specified key.
`java.lang.Integer` | `getInteger(java.lang.String key)` Gets an Integer value matching the specified key.
`int` | `getInteger(java.lang.String key, int defValue)` Gets an int value matching the specified key
`AttributeValue` | `getIntegerValue(java.lang.String key)` Gets an AttributeValue representing the Integer value matching the specified key.
`java.lang.String[]` | `getKeys()` Gets all keys in the table.
`java.lang.Long` | `getLong(java.lang.String key)` Gets an Long value matching the specified key.
`long` | `getLong(java.lang.String key, long defValue)` Gets an long value matching the specified key
`AttributeValue` | `getLongValue(java.lang.String key)` Gets an AttributeValue representing the Long value matching the specified key.
`PropertyBundleDefinition` | `getPropertyBundleDefinition(LibrarySession session)` Gets all values in the table, represented as a PropertyBundleDefinition.
`PropertyDefinition[]` | `getPropertyDefinitions(LibrarySession session)` Gets all values in the table, represented as an array of PropertyDefinitions.
`PublicObject` | `getPublicObject(java.lang.String key, LibrarySession session)` Gets a PublicObject value matching the specified key.
`SchemaObject` | `getSchemaObject(java.lang.String key, LibrarySession session)` Gets a SchemaObject value matching the specified key.
`LibrarySessionInterface` | `getSession()` Gets the session context for this table, if any.
`java.lang.String` | `getString(java.lang.String key)` Gets a String value matching the specified key.
`java.lang.String` | `getString(java.lang.String key, java.lang.String defValue)` Gets a String value matching the specified key, or return the specified default value if the key does not match a stored value or if the value stored is a null String.
`java.lang.String[]` | `getStringArray(java.lang.String key)` Gets an String array value matching the specified key.
`AttributeValue` | `getStringArrayValue(java.lang.String key)` Gets an AttributeValue representing the StringArray value matching the specified key.
`AttributeValue` | `getStringValue(java.lang.String key)` Gets an AttributeValue representing the String value matching the specified key.
`SystemObject` | `getSystemObject(java.lang.String key, LibrarySession session)` Gets a SystemObject value matching the specified key.
`int` | `getValueCount()` Gets the number of values defined in the table.
`AttributeValue[]` | `getValues()` Gets all values in the table.
`void` | `put(AttributeValue av)` Stores a new value, using an implicit key of the value's name.
`void` | `put(AttributeValue[] values)` Applies values from the specified array of AttributeValues.
`void` | `put(AttributeValueTable avt)` Applies the values from the specified table to the target one, overriding values previously in the target table with ones in the specified table.
`void` | `put(java.util.List list)` Applies values from the specified list of AttributeValues.
`void` | `put(ParameterTable pt)` Applies values from the specified ParameterTable.
`void` | `put(Property[] props)` Applies values from the specified array of Property objects.
`void` | `put(PropertyBundle pb)` Applies values from the specified PropertyBundle.
`void` | `put(java.lang.String key, AttributeValue av)` Stores a new value, using an explicit key.
`void` | `put(java.lang.String key, boolean value)` Stores a new boolean value, using an explicit key.
`void` | `put(java.lang.String key, double value)` Stores a new double value, using an explicit key.
`void` | `put(java.lang.String key, int value)` Stores a new integer value, using an explicit key.
`void` | `put(java.lang.String key, long value)` Stores a new long value, using an explicit key.
`void` | `put(java.lang.String key, java.lang.String value)` Stores a new String value, using an explicit key.
`void` | `put(java.lang.String key, java.lang.String[] value)` Stores a new String array value, using an explicit key.
`AttributeValue` | `remove(java.lang.String key)` Removes a property from the target table.
`void` | `setSession(LibrarySessionInterface session)` Sets the session context for this table.
`java.lang.String` | `toString()` Provide String representation of this object.
`java.lang.String` | `toString(LibrarySessionInterface session, java.lang.String indent)` Provide String representation of this object, using session context and indentation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueTable

    public AttributeValueTable()

  Constructs an empty AttributeValueTable.

  (Published)

### AttributeValueTable

    public AttributeValueTable(PropertyBundle pb)
                        throws IfsException

  Constructs an AttributeValueTable from a PropertyBundle.

  Parameters:
    `pb` - the source PropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AttributeValueTable

    public AttributeValueTable(Property[] props)
                        throws IfsException

  Constructs an AttributeValueTable from an array of Property.

  Parameters:
    `props` - the source Property objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AttributeValueTable

    public AttributeValueTable(java.util.List list)
                        throws IfsException

  Constructs an AttributeValueTable from a list of AttributeValues.

  Parameters:
    `list` - the List of AttributeValues
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AttributeValueTable

    public AttributeValueTable(AttributeValue[] values)
                        throws IfsException

  Constructs an AttributeValueTable from an array of AttributeValues.

  Parameters:
    `values` - the array of AttributeValues
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AttributeValueTable

    public AttributeValueTable(AttributeValueTable avt)
                        throws IfsException

  Constructs an AttributeValueTable from another AttributeValueTable.

  Parameters:
    `avt` - the source AttributeValueTable
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AttributeValueTable

    public AttributeValueTable(ParameterTable pt)
                        throws IfsException

  Constructs an AttributeValueTable from a ParameterTable.

  Parameters:
    `pt` - the source ParameterTable
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getSession

    public LibrarySessionInterface getSession()

  Description copied from class: `AttributeValueTable`
  Gets the session context for this table, if any.

  The session context is used for certain data type conversions, such as from String to Date, where the session's Localizer is used in the conversion.

  Returns:
    the session context
  (Published)

### setSession

    public void setSession(LibrarySessionInterface session)

  Description copied from class: `AttributeValueTable`
  Sets the session context for this table.

  Parameters:
    `session` - the session context
  (Published)

### get

    public AttributeValue get(java.lang.String key)
                       throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getString

    public java.lang.String getString(java.lang.String key)
                               throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a String value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null String value.

  Parameters:
    `key` - the key
  Returns:
    the String value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getStringValue

    public AttributeValue getStringValue(java.lang.String key)
                                  throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the String value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is String)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.String defValue)
                               throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a String value matching the specified key, or return the specified default value if the key does not match a stored value or if the value stored is a null String.

  Returns the specified default value if no value exists for the specified key or if the value is null.

  Parameters:
    `key` - the key
    `defValue` - the default value to return if the key does not match a stored value or if the stored value is null
  Returns:
    the String value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getInteger

    public java.lang.Integer getInteger(java.lang.String key)
                                 throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an Integer value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null Integer value.

  Parameters:
    `key` - the key
  Returns:
    the Integer value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getIntegerValue

    public AttributeValue getIntegerValue(java.lang.String key)
                                   throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the Integer value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is Integer)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getInteger

    public int getInteger(java.lang.String key,
                          int defValue)
                   throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an int value matching the specified key

  Returns null if no value exists for the specified key, or if the value stored represents a null Integer value.

  Parameters:
    `key` - the key
    `defValue` - the default value to return if the key does not match a stored value
  Returns:
    the int value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLong

    public java.lang.Long getLong(java.lang.String key)
                           throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an Long value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null Long value.

  Parameters:
    `key` - the key
  Returns:
    the Long value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLongValue

    public AttributeValue getLongValue(java.lang.String key)
                                throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the Long value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is Long)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLong

    public long getLong(java.lang.String key,
                        long defValue)
                 throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an long value matching the specified key

  Returns null if no value exists for the specified key, or if the value stored represents a null Long value.

  Parameters:
    `key` - the key
    `defValue` - the default value to return if the key does not match a stored value
  Returns:
    the long value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDouble

    public java.lang.Double getDouble(java.lang.String key)
                               throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an Double value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null Double value.

  Parameters:
    `key` - the key
  Returns:
    the Double value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDoubleValue

    public AttributeValue getDoubleValue(java.lang.String key)
                                  throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the Double value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is Double)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDouble

    public double getDouble(java.lang.String key,
                            double defValue)
                     throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an double value matching the specified key

  Returns null if no value exists for the specified key, or if the value stored represents a null Double value.

  Parameters:
    `key` - the key
    `defValue` - the default value to return if the key does not match a stored value
  Returns:
    the double value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getBoolean

    public java.lang.Boolean getBoolean(java.lang.String key)
                                 throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a Boolean value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null Boolean value.

  Parameters:
    `key` - the key
  Returns:
    the Boolean value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getBooleanValue

    public AttributeValue getBooleanValue(java.lang.String key)
                                   throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the Boolean value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is Boolean)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getBoolean

    public boolean getBoolean(java.lang.String key,
                              boolean defValue)
                       throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an boolean value matching the specified key

  Returns null if no value exists for the specified key, or if the value stored represents a null Boolean value.

  Parameters:
    `key` - the key
    `defValue` - the default value to return if the key does not match a stored value
  Returns:
    the boolean value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDate

    public java.util.Date getDate(java.lang.String key)
                           throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an Date value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null Date value.

  Parameters:
    `key` - the key
  Returns:
    the Date value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDateValue

    public AttributeValue getDateValue(java.lang.String key)
                                throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the Date value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is Date)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String key)
                                      throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an String array value matching the specified key.

  Returns null if no value exists for the specified key, or if the value stored represents a null String array value.

  Parameters:
    `key` - the key
  Returns:
    the String array value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getStringArrayValue

    public AttributeValue getStringArrayValue(java.lang.String key)
                                       throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets an AttributeValue representing the StringArray value matching the specified key.

  Returns null if no value exists for the specified key.

  Parameters:
    `key` - the key
  Returns:
    the value (type is StringArray)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPublicObject

    public PublicObject getPublicObject(java.lang.String key,
                                        LibrarySession session)
                                 throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a PublicObject value matching the specified key.

  Returns null if no value exists for the specified key, or if the value represents a null PublicObject.

  Parameters:
    `key` - the key
    `session` - the sesson context
  Returns:
    the PublicObject value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectoryObject

    public DirectoryObject getDirectoryObject(java.lang.String key,
                                              LibrarySession session)
                                       throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a DirectoryObject value matching the specified key.

  Returns null if no value exists for the specified key, or if the value represents a null DirectoryObject.

  Parameters:
    `key` - the key
    `session` - the sesson context
  Returns:
    the DirectoryObject value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSystemObject

    public SystemObject getSystemObject(java.lang.String key,
                                        LibrarySession session)
                                 throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a SystemObject value matching the specified key.

  Returns null if no value exists for the specified key, or if the value represents a null SystemObject.

  Parameters:
    `key` - the key
    `session` - the sesson context
  Returns:
    the SystemObject value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSchemaObject

    public SchemaObject getSchemaObject(java.lang.String key,
                                        LibrarySession session)
                                 throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets a SchemaObject value matching the specified key.

  Returns null if no value exists for the specified key, or if the value represents a null SchemaObject.

  Parameters:
    `key` - the key
    `session` - the sesson context
  Returns:
    the SchemaObject value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValues

    public AttributeValue[] getValues()
                               throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets all values in the table.

  The returned array is not sorted in any predictable way.

  Returns:
    the values in the table
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyBundleDefinition

    public PropertyBundleDefinition getPropertyBundleDefinition(LibrarySession session)
                                                         throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets all values in the table, represented as a PropertyBundleDefinition.

  Parameters:
    `session` - session context
  Returns:
    a PropertyBundleDefinition which reflects this table
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyDefinitions

    public PropertyDefinition[] getPropertyDefinitions(LibrarySession session)
                                                throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets all values in the table, represented as an array of PropertyDefinitions.

  Parameters:
    `session` - session context
  Returns:
    a PropertyDefinition[] which reflects this table
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValueCount

    public int getValueCount()
                      throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets the number of values defined in the table.

  Returns:
    the count of values in the table
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getKeys

    public java.lang.String[] getKeys()
                               throws IfsException

  Description copied from class: `AttributeValueTable`
  Gets all keys in the table.

  The returned array is not sorted in any predictable way.

  Returns:
    the keys in the table
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    AttributeValue av)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new value, using an explicit key.

  The AttributeValue's name may not match the key specified. The value stored in the table will override the value's name if necesary.

  Parameters:
    `key` - the key
    `av` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    java.lang.String value)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new String value, using an explicit key.

  Parameters:
    `key` - the key
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    int value)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new integer value, using an explicit key.

  Parameters:
    `key` - the key
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    boolean value)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new boolean value, using an explicit key.

  Parameters:
    `key` - the key
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    long value)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new long value, using an explicit key.

  Parameters:
    `key` - the key
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    double value)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new double value, using an explicit key.

  Parameters:
    `key` - the key
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.lang.String key,
                    java.lang.String[] value)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new String array value, using an explicit key.

  Parameters:
    `key` - the key
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(AttributeValue av)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Stores a new value, using an implicit key of the value's name.

  Parameters:
    `av` - the value, with the key defined as the value's name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(PropertyBundle pb)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Applies values from the specified PropertyBundle.

  Parameters:
    `pb` - the source PropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(Property[] props)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Applies values from the specified array of Property objects.

  Parameters:
    `props` - the source Property objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(java.util.List list)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Applies values from the specified list of AttributeValues.

  Parameters:
    `list` - the List of AttributeValues
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(AttributeValue[] values)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Applies values from the specified array of AttributeValues.

  Parameters:
    `values` - the array of AttributeValues
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(ParameterTable pt)
             throws IfsException

  Description copied from class: `AttributeValueTable`
  Applies values from the specified ParameterTable.

  Parameters:
    `pt` - the source ParameterTable
  Throws:
    `IfsException` - if the operation fails
  (Published)

### put

    public void put(AttributeValueTable avt)

  Description copied from class: `AttributeValueTable`
  Applies the values from the specified table to the target one, overriding values previously in the target table with ones in the specified table.

  Parameters:
    `avt` - the source table
  (Published)

### remove

    public AttributeValue remove(java.lang.String key)

  Description copied from class: `AttributeValueTable`
  Removes a property from the target table.

  Parameters:
    `key` - the property key
  Returns:
    the previous value, or null if it did not exist
  (Published)

### toString

    public java.lang.String toString()

  Description copied from class: `AttributeValueTable`
  Provide String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of this instance

### toString

    public java.lang.String toString(LibrarySessionInterface session,
                                     java.lang.String indent)

  Description copied from class: `AttributeValueTable`
  Provide String representation of this object, using session context and indentation.

  Parameters:
    `session` - session context
    `indent` - indentation to use at the start of each line
  Returns:
    String representation of this instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD